'use strict';

var index = require('./index-DnF1G--N.js');

const GenericToast = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
        this.deleteToast = index.createEvent(this, "deleteToast");
    }
    render() {
        const isComponentToast = 'instantiateToastElement' in this.toast;
        if (isComponentToast) {
            return index.h("mvx-custom-toast", { toast: this.toast, onDeleteToast: () => this.deleteToast.emit(this.toast.toastId) });
        }
        return index.h("mvx-simple-toast", { toast: this.toast, onDeleteToast: () => this.deleteToast.emit(this.toast.toastId) });
    }
};

exports.mvx_generic_toast = GenericToast;
//# sourceMappingURL=mvx-generic-toast.entry.cjs.js.map

//# sourceMappingURL=mvx-generic-toast.cjs.entry.js.map