import { h } from "@stencil/core";
import classNames from "classnames";
export class TransactionDirectionBadge {
    render() {
        return (h("div", { key: '9447de69144dcb11db6e38ad4c1c43bdb3f11ed0', class: classNames(this.class, 'transaction-direction-badge') }, h("span", { key: '0fe41883ad7fa5cb65e4a7a911db68a81baf921c', class: {
                directionBadge: true,
                [this.direction.toLowerCase()]: true,
            } }, this.direction.toUpperCase())));
    }
    static get is() { return "mvx-transaction-direction-badge"; }
    static get originalStyleUrls() {
        return {
            "$": ["transaction-direction-badge.css"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["transaction-direction-badge.css"]
        };
    }
    static get properties() {
        return {
            "class": {
                "type": "string",
                "attribute": "class",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": true,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "reflect": false
            },
            "direction": {
                "type": "string",
                "attribute": "direction",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "reflect": false
            }
        };
    }
}
//# sourceMappingURL=transaction-direction-badge.js.map
