import { h } from "@stencil/core";
import classNames from "classnames";
import { DataTestIdsEnum } from "../../../../../constants/dataTestIds.enum";
export class TransactionShards {
    render() {
        return (h("div", { key: '0045c507d0affac9a30794cdf234fe066498f863', class: classNames(this.class, 'transaction-shards') }, h("mvx-explorer-link", { key: 'd993f6f74262eb4799de3664e039180a6bf7378b', link: this.transaction.sender.shardLink, class: "transactions-table-body-cell-link", "data-testid": DataTestIdsEnum.shardFromLink }, h("span", { key: '884f57a19e30ecef83455e92001afb937b320381', slot: "content", "data-testid": DataTestIdsEnum.senderShard }, this.transaction.sender.shard)), h("span", { key: '1e7d911f9eb57f342e2bf6f82de4234400fc9982', class: "transaction-shards-arrow" }, "\u2794"), h("mvx-explorer-link", { key: '79c925c7c68bc51476bda5264aec2219e2ce60a9', class: "transactions-table-body-cell-link", link: this.transaction.receiver.shardLink, "data-testid": DataTestIdsEnum.shardToLink }, h("span", { key: '1a9beb14855d4ef760a1bb8ddac36f89a5fc796e', slot: "content", "data-testid": DataTestIdsEnum.receiverShard }, this.transaction.receiver.shard))));
    }
    static get is() { return "mvx-transaction-shards"; }
    static get originalStyleUrls() {
        return {
            "$": ["transaction-shards.css"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["transaction-shards.css"]
        };
    }
    static get properties() {
        return {
            "class": {
                "type": "string",
                "attribute": "class",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": true,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "reflect": false
            },
            "transaction": {
                "type": "unknown",
                "attribute": "transaction",
                "mutable": false,
                "complexType": {
                    "original": "ITransactionsTableRow",
                    "resolved": "ITransactionsTableRow",
                    "references": {
                        "ITransactionsTableRow": {
                            "location": "import",
                            "path": "../../transactions-table.type",
                            "id": "src/components/controlled/transactions-table/transactions-table.type.ts::ITransactionsTableRow"
                        }
                    }
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false
            }
        };
    }
}
//# sourceMappingURL=transaction-shards.js.map
