import { h } from "@stencil/core";
import { DataTestIdsEnum } from "../../../../../constants/dataTestIds.enum";
export class LedgerConnectScreen {
    render() {
        var _a, _b, _c, _d;
        return (h("div", { key: 'b4d85dd649d2637fb1b258972adbcb84d096529d' }, ((_a = this.connectScreenData) === null || _a === void 0 ? void 0 : _a.error) && h("p", { key: '194280a98b6e7bc393d1ff5ff21e81ea4e73c9f2' }, this.connectScreenData.error), ((_b = this.connectScreenData) === null || _b === void 0 ? void 0 : _b.customContentMarkup) && ((_c = this.connectScreenData) === null || _c === void 0 ? void 0 : _c.customContentMarkup), h("button", { key: '095d6fc3c56b72a9febb429d5a0d31d48f3d7b82', "data-testid": DataTestIdsEnum.ledgerConnectBtn, class: "access-button", onClick: () => this.connect.emit(), disabled: (_d = this.connectScreenData) === null || _d === void 0 ? void 0 : _d.disabled }, "Connect Ledger"), h("a", { key: 'a0e39be16ae8cd5d97e00451a659a1635c4efbcb', href: "https://support.ledger.com/hc/en-us/articles/115005165269-Connection-issues-with-Windows-or-Linux", target: "_blank", rel: "noopener noreferrer", class: "connection-link" }, "Having connection issues?")));
    }
    static get is() { return "mvx-ledger-connect-screen"; }
    static get originalStyleUrls() {
        return {
            "$": ["ledger-connect-screen.scss"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["ledger-connect-screen.css"]
        };
    }
    static get properties() {
        return {
            "connectScreenData": {
                "type": "unknown",
                "attribute": "connect-screen-data",
                "mutable": false,
                "complexType": {
                    "original": "IConnectScreenData",
                    "resolved": "IConnectScreenData",
                    "references": {
                        "IConnectScreenData": {
                            "location": "import",
                            "path": "../../ledger-connect.types",
                            "id": "src/components/functional/ledger-connect-components/ledger-connect.types.ts::IConnectScreenData"
                        }
                    }
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false
            }
        };
    }
    static get events() {
        return [{
                "method": "connect",
                "name": "connect",
                "bubbles": true,
                "cancelable": true,
                "composed": true,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "complexType": {
                    "original": "any",
                    "resolved": "any",
                    "references": {}
                }
            }];
    }
}
//# sourceMappingURL=ledger-connect-screen.js.map
