import { h } from "@stencil/core";
export class BalanceComponent {
    constructor() {
        this.amount = '';
        this.ticker = '';
        this.header = '';
    }
    render() {
        return (h("div", { key: 'ebdb0fa752a1f2fc01d811fc0cb276f63d5b71a8', class: "balance-container" }, this.header && h("p", { key: '1bce11a454798668f93f86d5f40f0a33fe31e1c3' }, this.header), h("div", { key: '97e114ae3b6ebf86304acacc4bc3751f5e9dec58', class: "amount-container" }, h("span", { key: '692dea59a0c8c85423152f8e409928278e338521', class: "amount-value" }, this.amount), h("span", { key: '732e442ac67c397dbca5c76241ed7a748978bb50', class: "amount-ticker" }, this.ticker)), this.usdValue && h("span", { key: 'dfc6484ee0fd3e270d3bd355568332e08435b05e' }, this.usdValue)));
    }
    static get is() { return "mvx-balance-component"; }
    static get originalStyleUrls() {
        return {
            "$": ["balance-component.css"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["balance-component.css"]
        };
    }
    static get properties() {
        return {
            "amount": {
                "type": "string",
                "attribute": "amount",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "reflect": false,
                "defaultValue": "''"
            },
            "ticker": {
                "type": "string",
                "attribute": "ticker",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "reflect": false,
                "defaultValue": "''"
            },
            "usdValue": {
                "type": "string",
                "attribute": "usd-value",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": true,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "reflect": false
            },
            "header": {
                "type": "string",
                "attribute": "header",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": true,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "reflect": false,
                "defaultValue": "''"
            }
        };
    }
}
//# sourceMappingURL=balance-component.js.map
