import { createStore } from "@stencil/store";
const initialState = {
    isLoading: true,
    isWaitingForSignature: false,
    commonData: {
        data: '',
        gasLimit: '',
        gasPrice: '',
        transactionsCount: 0,
        egldLabel: '',
        feeLimit: '',
        feeInFiatLimit: '',
        currentIndex: 0,
        receiver: '',
        ppuOptions: [],
    },
    nftTransaction: null,
    sftTransaction: null,
    tokenTransaction: null,
    onCancel: null,
    onBack: null,
    onConfirm: null,
    onSetPpu: null,
};
const store = createStore(Object.assign({}, initialState));
/*
  All components using `state` must be included in
  `excludeComponents` under `stencil.config.ts`
*/
const state = store.state;
export const resetState = () => (Object.assign(Object.assign({}, state), initialState));
export default state;
//# sourceMappingURL=signTransactionsPanelStore.js.map
