function format(first, middle, last) {
    return (first || '') + (middle ? ` ${middle}` : '') + (last ? ` ${last}` : '');
}
const formatAddress = (value, maxLength = 25) => {
    if (!value) {
        return value;
    }
    const ellipsis = '...';
    if (value.length <= maxLength) {
        return value;
    }
    const lengthDiff = maxLength - ellipsis.length;
    const start = value.slice(0, Math.floor(lengthDiff / 2));
    const end = value.slice(-Math.ceil(lengthDiff / 2));
    return start + ellipsis + end;
};

export { format as a, formatAddress as f };
//# sourceMappingURL=index-39TxyvVb.js.map

//# sourceMappingURL=index-39TxyvVb.js.map