import { r as registerInstance, h, g as getElement } from './index-D3R9UMmk.js';

const Children = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        this.childElements = [];
    }
    componentWillLoad() {
        this.childElements = [...this.host.children];
        this.host.innerHTML = '';
    }
    componentDidLoad() {
        this.initializeChild(this.childParentRef, this.childElements);
    }
    initializeChild(container, children) {
        if (!container) {
            return;
        }
        children.forEach(childElement => {
            container.appendChild(childElement);
        });
    }
    render() {
        return h("div", { key: '22df629cdf80a01212da9fd8ce0e74f0421da4a0', class: "children", ref: element => (this.childParentRef = element) });
    }
    get host() { return getElement(this); }
};

export { Children as mvx_children };
//# sourceMappingURL=mvx-children.entry.js.map

//# sourceMappingURL=mvx-children.entry.js.map