import { r as registerInstance, h } from './index-D3R9UMmk.js';
import { D as DataTestIdsEnum } from './dataTestIds.enum-uM8_L1mr.js';
import { f as formatAddress } from './index-39TxyvVb.js';
import { s as state } from './signTransactionsPanelStore-CAFeDr7k.js';

const signTransactionComponentCss = "/*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer theme{:host,:root{--mvx-font-sans:ui-sans-serif,system-ui,sans-serif,\"Apple Color Emoji\",\"Segoe UI Emoji\",\"Segoe UI Symbol\",\"Noto Color Emoji\";--mvx-font-mono:ui-monospace,SFMono-Regular,Menlo,Monaco,Consolas,\"Liberation Mono\",\"Courier New\",monospace;--mvx-default-font-family:var(--mvx-font-sans);--mvx-default-mono-font-family:var(--mvx-font-mono)}}@layer base{*,::backdrop,:after,:before{border:0 solid;box-sizing:border-box;margin:0;padding:0}::file-selector-button{appearance:button;background-color:#0000;border:0 solid;border-radius:0;box-sizing:border-box;color:inherit;font:inherit;font-feature-settings:inherit;font-variation-settings:inherit;letter-spacing:inherit;margin:0;margin-inline-end:4px;opacity:1;padding:0}:host,html{-webkit-text-size-adjust:100%;font-family:var(--mvx-default-font-family,ui-sans-serif,system-ui,sans-serif,\"Apple Color Emoji\",\"Segoe UI Emoji\",\"Segoe UI Symbol\",\"Noto Color Emoji\");font-feature-settings:var(--mvx-default-font-feature-settings,normal);font-variation-settings:var(--mvx-default-font-variation-settings,normal);line-height:1.5;tab-size:4;-webkit-tap-highlight-color:transparent}hr{border-top-width:1px;color:inherit;height:0}abbr:where([title]){-webkit-text-decoration:underline dotted;text-decoration:underline dotted}h1,h2,h3,h4,h5,h6{font-size:inherit;font-weight:inherit}a{color:inherit;-webkit-text-decoration:inherit;text-decoration:inherit}b,strong{font-weight:bolder}code,kbd,pre,samp{font-family:var(--mvx-default-mono-font-family,ui-monospace,SFMono-Regular,Menlo,Monaco,Consolas,\"Liberation Mono\",\"Courier New\",monospace);font-feature-settings:var(--mvx-default-mono-font-feature-settings,normal);font-size:1em;font-variation-settings:var(--mvx-default-mono-font-variation-settings,normal)}small{font-size:80%}sub,sup{font-size:75%;line-height:0;position:relative;vertical-align:baseline}sub{bottom:-.25em}sup{top:-.5em}table{border-collapse:collapse;border-color:inherit;text-indent:0}:-moz-focusring{outline:auto}progress{vertical-align:baseline}summary{display:list-item}menu,ol,ul{list-style:none}audio,canvas,embed,iframe,img,object,svg,video{display:block;vertical-align:middle}img,video{height:auto;max-width:100%}button,input,optgroup,select,textarea{background-color:#0000;border-radius:0;color:inherit;font:inherit;font-feature-settings:inherit;font-variation-settings:inherit;letter-spacing:inherit;opacity:1}:where(select:is([multiple],[size])) optgroup{font-weight:bolder}:where(select:is([multiple],[size])) optgroup option{padding-inline-start:20px}::placeholder{opacity:1}@supports (not ((-webkit-appearance:-apple-pay-button))) or (contain-intrinsic-size:1px){::placeholder{color:currentColor}@supports (color:color-mix(in lab,red,red)){::placeholder{color:color-mix(in oklab,currentColor 50%,transparent)}}}textarea{resize:vertical}::-webkit-search-decoration{-webkit-appearance:none}::-webkit-date-and-time-value{min-height:1lh;text-align:inherit}::-webkit-datetime-edit{display:inline-flex;padding-block:0}::-webkit-datetime-edit-fields-wrapper{padding:0}::-webkit-datetime-edit-month-field,::-webkit-datetime-edit-year-field{padding-block:0}::-webkit-datetime-edit-day-field,::-webkit-datetime-edit-hour-field{padding-block:0}::-webkit-datetime-edit-minute-field,::-webkit-datetime-edit-second-field{padding-block:0}::-webkit-datetime-edit-meridiem-field,::-webkit-datetime-edit-millisecond-field{padding-block:0}:-moz-ui-invalid{box-shadow:none}button,input:where([type=button],[type=reset],[type=submit]){appearance:button}::-webkit-inner-spin-button,::-webkit-outer-spin-button{height:auto}[hidden]:where(:not([hidden=until-found])){display:none!important}}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities;.transaction-container{display:flex;flex-direction:column;gap:1rem;padding:0 1rem}.data-container,.receiver-container{align-items:flex-start;display:flex;flex-direction:column;gap:4px;line-height:1}.data-content-container{font-family:inherit;font-size:inherit;height:100px;min-height:100px;white-space:pre-wrap;width:100%;word-wrap:break-word;background-color:#f9f9f9;border:1px solid #ccc;border-radius:4px;color:#333;display:block;overflow-y:auto;padding:8px}.data-content{opacity:.6}.fee-container{align-items:flex-start;gap:4px;line-height:1}.fee-container,.sign-button-container{display:flex;flex-direction:column}.sign-back-button{background-color:#0000;border:none;border-radius:4px;color:#1a56db;cursor:pointer;display:inline-block;font-size:16px;padding:8px 12px;text-decoration:none}.sign-back-button:hover{color:#0033a0;text-decoration:underline}.sign-back-button:active{color:#001f70}.sign-back-button:disabled{color:#a1a1a1;cursor:not-allowed;opacity:.6;text-decoration:none}.sign-button{background-color:#1a56db;border:none;border-radius:8px;color:#fff;cursor:pointer;display:block;margin:0 auto;padding:12px;width:200px}.sign-button:disabled{background-color:#a1a1a1;box-shadow:none;color:#e0e0e0;cursor:not-allowed;opacity:.6;transform:none}.highlight{opacity:1}";

var __rest = (undefined && undefined.__rest) || function (s, e) {
    var t = {};
    for (var p in s)
        if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
            t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
const SignTransaction = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
    }
    getSignButtonProps() {
        const { needsSigning } = state.commonData;
        if (needsSigning) {
            return {
                'signText': 'Sign',
                'disabled': state.isWaitingForSignature,
                'data-testid': DataTestIdsEnum.signTransactionBtn,
                'onClick': state.onConfirm,
            };
        }
        return {
            'signText': 'Next',
            'disabled': false,
            'data-testid': DataTestIdsEnum.signNextTransactionBtn,
            'onClick': state.onConfirm,
        };
    }
    getBackButtonProps() {
        const { transactionsCount, currentIndex } = state.commonData;
        const isMultipleTransactions = transactionsCount > 1;
        if (!isMultipleTransactions) {
            return {};
        }
        if (currentIndex === 0) {
            return {
                'data-testid': DataTestIdsEnum.signCancelBtn,
                'backButtonText': 'Cancel',
                'onClick': state.onCancel,
            };
        }
        return {
            'data-testid': DataTestIdsEnum.signBackBtn,
            'backButtonText': 'Back',
            'onClick': state.onBack,
            'disabled': state.isWaitingForSignature,
        };
    }
    getHighlightedData() {
        const { data, highlight } = state.commonData;
        if (!highlight || !data) {
            return data;
        }
        const parts = data.split(highlight);
        return (h("span", null, parts.map((part, index) => (h("span", null, h("span", { class: "data-content" }, part), index < parts.length - 1 && h("span", { class: "highlight" }, highlight))))));
    }
    render() {
        const { receiver, scCall } = state.commonData;
        const _a = this.getSignButtonProps(), { signText } = _a, signButtonProps = __rest(_a, ["signText"]);
        const _b = this.getBackButtonProps(), { backButtonText } = _b, backButtonProps = __rest(_b, ["backButtonText"]);
        const highlightedData = this.getHighlightedData();
        return (h("div", { key: '0a1624c4494171725e7c790275ded0711475c48a', class: "transaction-container" }, this.header, h("div", { key: '6c007f6a9bcf9a9f794bb1d5afc7282d32f57d22', class: "receiver-container" }, h("p", { key: '07939c79bba48453d19b560cac2bc2660613234a' }, "To"), h("p", { key: '8264fd0565f6bbe226887990bcd794131abc9f84' }, formatAddress(receiver, 40))), h("mvx-transaction-fee-component", { key: '9b31561bee96d1ba0ac959b50fd9e0f171c08c58' }), scCall && (h("div", { key: 'e7699b5bad4b7b590d3382792c46d2e76a36923f', class: "data-container" }, h("p", { key: '61b71377a8acfa69d3e0fe578e6e34c16d0cce83' }, "Smart Contract Call"), h("div", { key: '5f6eda17fa42f0c45b0641b31bc2fe4eea6cdc34', class: "data-content-container" }, scCall))), h("div", { key: 'd4c0d74612b6a790f5c2bc0f3a1b8cf948a0b449', class: "data-container" }, h("p", { key: '7a43db58d1bf9aca66104eb99cf96e9a9bb2481e' }, "Data"), h("div", { key: '21d0a76ef527fb9b7f4d20d19fd81a3246bd43c4', class: "data-content-container" }, highlightedData)), h("div", { key: '43f582b8248cb7cbf349a2f044d74b488ed4ae69', class: "sign-button-container" }, h("button", Object.assign({ key: '92624f8b52a3b3fffba78a425354d75d47a703ce', class: "sign-button" }, signButtonProps), signText), backButtonText && (h("button", Object.assign({ key: '54665911aee4db0d6c59e7887167fc106981b4d8', class: "sign-back-button" }, backButtonProps), backButtonText)))));
    }
};
SignTransaction.style = signTransactionComponentCss;

const transactionFeeComponentCss = "/*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer theme{:host,:root{--mvx-font-sans:ui-sans-serif,system-ui,sans-serif,\"Apple Color Emoji\",\"Segoe UI Emoji\",\"Segoe UI Symbol\",\"Noto Color Emoji\";--mvx-font-mono:ui-monospace,SFMono-Regular,Menlo,Monaco,Consolas,\"Liberation Mono\",\"Courier New\",monospace;--mvx-default-font-family:var(--mvx-font-sans);--mvx-default-mono-font-family:var(--mvx-font-mono)}}@layer base{*,::backdrop,:after,:before{border:0 solid;box-sizing:border-box;margin:0;padding:0}::file-selector-button{appearance:button;background-color:#0000;border:0 solid;border-radius:0;box-sizing:border-box;color:inherit;font:inherit;font-feature-settings:inherit;font-variation-settings:inherit;letter-spacing:inherit;margin:0;margin-inline-end:4px;opacity:1;padding:0}:host,html{-webkit-text-size-adjust:100%;font-family:var(--mvx-default-font-family,ui-sans-serif,system-ui,sans-serif,\"Apple Color Emoji\",\"Segoe UI Emoji\",\"Segoe UI Symbol\",\"Noto Color Emoji\");font-feature-settings:var(--mvx-default-font-feature-settings,normal);font-variation-settings:var(--mvx-default-font-variation-settings,normal);line-height:1.5;tab-size:4;-webkit-tap-highlight-color:transparent}hr{border-top-width:1px;color:inherit;height:0}abbr:where([title]){-webkit-text-decoration:underline dotted;text-decoration:underline dotted}h1,h2,h3,h4,h5,h6{font-size:inherit;font-weight:inherit}a{color:inherit;-webkit-text-decoration:inherit;text-decoration:inherit}b,strong{font-weight:bolder}code,kbd,pre,samp{font-family:var(--mvx-default-mono-font-family,ui-monospace,SFMono-Regular,Menlo,Monaco,Consolas,\"Liberation Mono\",\"Courier New\",monospace);font-feature-settings:var(--mvx-default-mono-font-feature-settings,normal);font-size:1em;font-variation-settings:var(--mvx-default-mono-font-variation-settings,normal)}small{font-size:80%}sub,sup{font-size:75%;line-height:0;position:relative;vertical-align:baseline}sub{bottom:-.25em}sup{top:-.5em}table{border-collapse:collapse;border-color:inherit;text-indent:0}:-moz-focusring{outline:auto}progress{vertical-align:baseline}summary{display:list-item}menu,ol,ul{list-style:none}audio,canvas,embed,iframe,img,object,svg,video{display:block;vertical-align:middle}img,video{height:auto;max-width:100%}button,input,optgroup,select,textarea{background-color:#0000;border-radius:0;color:inherit;font:inherit;font-feature-settings:inherit;font-variation-settings:inherit;letter-spacing:inherit;opacity:1}:where(select:is([multiple],[size])) optgroup{font-weight:bolder}:where(select:is([multiple],[size])) optgroup option{padding-inline-start:20px}::placeholder{opacity:1}@supports (not ((-webkit-appearance:-apple-pay-button))) or (contain-intrinsic-size:1px){::placeholder{color:currentColor}@supports (color:color-mix(in lab,red,red)){::placeholder{color:color-mix(in oklab,currentColor 50%,transparent)}}}textarea{resize:vertical}::-webkit-search-decoration{-webkit-appearance:none}::-webkit-date-and-time-value{min-height:1lh;text-align:inherit}::-webkit-datetime-edit{display:inline-flex;padding-block:0}::-webkit-datetime-edit-fields-wrapper{padding:0}::-webkit-datetime-edit-month-field,::-webkit-datetime-edit-year-field{padding-block:0}::-webkit-datetime-edit-day-field,::-webkit-datetime-edit-hour-field{padding-block:0}::-webkit-datetime-edit-minute-field,::-webkit-datetime-edit-second-field{padding-block:0}::-webkit-datetime-edit-meridiem-field,::-webkit-datetime-edit-millisecond-field{padding-block:0}:-moz-ui-invalid{box-shadow:none}button,input:where([type=button],[type=reset],[type=submit]){appearance:button}::-webkit-inner-spin-button,::-webkit-outer-spin-button{height:auto}[hidden]:where(:not([hidden=until-found])){display:none!important}}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities;.transaction-fee-container{align-items:flex-start;background:var(--white);border-radius:8px;display:flex;flex-direction:column;gap:4px;line-height:1;padding:16px}.fee-header{align-items:center;display:flex;justify-content:space-between;margin-bottom:8px}.edit-button{background:0 0;border:none;color:var(--text-secondary);cursor:pointer;padding:4px}.edit-button:hover{color:var(--text-primary)}.gas-options{background:#f8f9fa;border-radius:8px;border-top:1px solid var(--border-color);margin-top:16px;padding:1rem;width:100%}.top-section{align-items:center;display:flex;justify-content:space-between;margin-bottom:1rem}.gas-limit-section .label,.gas-price-section .label{color:#6c757d;font-size:.875rem;margin-bottom:.25rem}.gas-limit-section .value,.gas-price-section .value{align-items:center;color:#212529;display:flex;font-size:1rem;font-weight:500;margin:0}.gas-limit-section{border-top:1px solid #dee2e6;padding-top:1rem}.radio-group{border:1px solid #dee2e6;border-radius:4px;display:inline-flex;margin-left:12px;overflow:hidden}.radio-option{position:relative}.radio-option input[type=radio]{height:0;opacity:0;position:absolute;width:0}.radio-option input[type=radio]:checked+label{background:#0d6efd;color:#fff}.radio-option label{border-right:1px solid #dee2e6;cursor:pointer;display:inline-block;font-size:12px;padding:4px 8px;transition:all .2s}.radio-option label:hover{background:#e9ecef}.radio-option:last-child label{border-right:none}";

const TransactionFeeComponent = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        this.showGasOptions = false;
        this.toggleGasOptions = () => {
            this.showGasOptions = !this.showGasOptions;
        };
        this.handlePpuChange = (value) => () => {
            state.onSetPpu(value);
        };
    }
    render() {
        const { egldLabel, feeInFiatLimit, feeLimit, gasLimit, gasPrice, ppu, isEditable, ppuOptions } = state.commonData;
        return (h("div", { key: '60c025ff26c214eed7420cad0052692713c94b34', class: "transaction-fee-container" }, h("div", { key: 'f3c6e5d7190b6fe0676dad4bc4919c46876bb34e', class: "fee-header" }, h("p", { key: 'f668ea32e085173281de4c844cc14abd447529f2' }, "Transaction fee"), isEditable && (h("button", { key: 'f7bfd5685b1df3be6fbec675cabdff9687b68dfc', onClick: this.toggleGasOptions, class: "edit-button" }, "Edit"))), feeLimit && (h("p", { key: '49bc48f863a3661d84ddb4b9fd4c4bf5bfadf0fa' }, h("span", { key: '30765612ce0dd7c46213b898dfdc526d783e7dad' }, feeLimit), "\u00A0", h("span", { key: '63a6a52e7c030608bcd793e7abd6a2cb91ce72e4' }, egldLabel))), h("p", { key: 'ce5095af4e734138dd72188f6cfa884181ef9a5b' }, "\u2248", feeInFiatLimit), this.showGasOptions && (h("div", { key: '6fc63b8b938ed941b88328e8ffc23fa94af2999a', class: "gas-options" }, h("div", { key: 'ca7c352c51fe18e9693c059a2691a5eb27e3273c', class: "top-section" }, h("div", { key: '70a6e75ea5fff6fff4fa36d07fc9f091e5cf5b0c', class: "gas-price-section" }, h("div", { key: '94a1c55011b3151febbd955ea05edbca8fe674a2', class: "label" }, "Gas Price"), h("div", { key: '1efb762c00188670a8813cf358a2a69a1a463eae', class: "value" }, gasPrice)), ppuOptions && ppuOptions.length > 0 && (h("div", { key: '0d9be568fadf454c62c8b9c4956725328e10e26a', class: "radio-group" }, ppuOptions.map(option => (h("div", { class: "radio-option" }, h("input", { disabled: !isEditable, type: "radio", id: `ppu${option.value}`, name: "ppu", value: option.value, checked: ppu === option.value, onChange: this.handlePpuChange(option.value) }), h("label", { htmlFor: `ppu${option.value}` }, option.label))))))), h("div", { key: '6cba2fd48d12ba03f384da1d090cfc2263253923', class: "gas-limit-section" }, h("div", { key: 'f119033027f3f4cfcde981ea13b9a24780a8e939', class: "label" }, "Gas Limit"), h("div", { key: 'ec2ab5e551e7df5ac986de85090b4c4277c0fcaa', class: "value" }, gasLimit))))));
    }
};
TransactionFeeComponent.style = transactionFeeComponentCss;

export { SignTransaction as mvx_sign_transaction_component, TransactionFeeComponent as mvx_transaction_fee_component };
//# sourceMappingURL=mvx-sign-transaction-component.mvx-transaction-fee-component.entry.js.map

//# sourceMappingURL=mvx-sign-transaction-component_2.entry.js.map