import { r as registerInstance, h } from './index-D3R9UMmk.js';
import { s as state } from './signTransactionsPanelStore-CAFeDr7k.js';

const TokenComponent = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
    }
    render() {
        const { tokenTransaction } = state;
        const { amount, identifier, usdValue } = tokenTransaction || {};
        return (h("mvx-sign-transaction-component", { key: 'a99a4d8dc5df0254ad92fbe81f5747e3f9b84f64', header: h("mvx-balance-component", { amount: amount, ticker: identifier, usdValue: usdValue, header: "You are sending" }) }));
    }
};

export { TokenComponent as mvx_token_component };
//# sourceMappingURL=mvx-token-component.entry.js.map

//# sourceMappingURL=mvx-token-component.entry.js.map