import { r as registerInstance, h } from './index-D3R9UMmk.js';
import { f as faTimes } from './index-V-nc4w6z.js';
import { c as classNames } from './index-CcLhQtEp.js';
import './_commonjsHelpers-Dj2_voLF.js';

const TransactionIcon = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
    }
    render() {
        if (!this.iconInfo) {
            return null;
        }
        return (h("mvx-fa-icon", { class: classNames({
                'fa-sm': this.iconInfo.icon === faTimes,
            }, this.class, 'transaction-icon'), icon: this.iconInfo.icon, description: this.iconInfo.tooltip }));
    }
};

export { TransactionIcon as mvx_transaction_icon };
//# sourceMappingURL=mvx-transaction-icon.entry.js.map

//# sourceMappingURL=mvx-transaction-icon.entry.js.map