import type { IEventBus } from "../../../utils/EventBus";
import type { IWalletConnectPanelData } from './wallet-connect-panel.types';
export declare class WalletConnectPanel {
    hostElement: HTMLElement;
    data: IWalletConnectPanelData;
    qrCodeSvg: string;
    isOpen: boolean;
    private walletConnectBase;
    componentDidLoad(): void;
    disconnectedCallback(): void;
    handleOpen(): void;
    handleClose(): void;
    onClose(props?: {
        isUserClick: boolean;
    }): void;
    getEventBus(): Promise<IEventBus>;
    private getEventBusSubscription;
    onDataChange(data: IWalletConnectPanelData): Promise<void>;
    render(): any;
}
