export interface ExtendedWindow extends Window {
    elrondWallet?: {
        extensionId: string;
    };
    multiversxWallet?: {
        extensionId: string;
    };
    ethereum?: {
        isMetaMask?: boolean;
    };
}
export type SafeWindowType<InferredWindowType extends Window = ExtendedWindow> = {
    [Key in keyof InferredWindowType]?: InferredWindowType[Key];
};
