import { p as proxyCustomElement, H, h } from './p-FAOyWG8K.js';

const Children = /*@__PURE__*/ proxyCustomElement(class Children extends H {
    constructor() {
        super();
        this.__registerHost();
        this.childElements = [];
    }
    componentWillLoad() {
        this.childElements = [...this.host.children];
        this.host.innerHTML = '';
    }
    componentDidLoad() {
        this.initializeChild(this.childParentRef, this.childElements);
    }
    initializeChild(container, children) {
        if (!container) {
            return;
        }
        children.forEach(childElement => {
            container.appendChild(childElement);
        });
    }
    render() {
        return h("div", { key: '22df629cdf80a01212da9fd8ce0e74f0421da4a0', class: "children", ref: element => (this.childParentRef = element) });
    }
    get host() { return this; }
}, [0, "mvx-children", {
        "childElements": [32]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["mvx-children"];
    components.forEach(tagName => { switch (tagName) {
        case "mvx-children":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, Children);
            }
            break;
    } });
}

const MvxChildren = Children;
const defineCustomElement = defineCustomElement$1;

export { MvxChildren, defineCustomElement };
//# sourceMappingURL=mvx-children.js.map

//# sourceMappingURL=mvx-children.js.map