import { p as proxyCustomElement, H, h } from './p-FAOyWG8K.js';
import { D as DataTestIdsEnum } from './p-uM8_L1mr.js';

const ledgerConfirmScreenCss = "/*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer theme{:host,:root{--mvx-font-sans:ui-sans-serif,system-ui,sans-serif,\"Apple Color Emoji\",\"Segoe UI Emoji\",\"Segoe UI Symbol\",\"Noto Color Emoji\";--mvx-font-mono:ui-monospace,SFMono-Regular,Menlo,Monaco,Consolas,\"Liberation Mono\",\"Courier New\",monospace;--mvx-default-font-family:var(--mvx-font-sans);--mvx-default-mono-font-family:var(--mvx-font-mono)}}@layer base{*,::backdrop,:after,:before{border:0 solid;box-sizing:border-box;margin:0;padding:0}::file-selector-button{appearance:button;background-color:#0000;border:0 solid;border-radius:0;box-sizing:border-box;color:inherit;font:inherit;font-feature-settings:inherit;font-variation-settings:inherit;letter-spacing:inherit;margin:0;margin-inline-end:4px;opacity:1;padding:0}:host,html{-webkit-text-size-adjust:100%;font-family:var(--mvx-default-font-family,ui-sans-serif,system-ui,sans-serif,\"Apple Color Emoji\",\"Segoe UI Emoji\",\"Segoe UI Symbol\",\"Noto Color Emoji\");font-feature-settings:var(--mvx-default-font-feature-settings,normal);font-variation-settings:var(--mvx-default-font-variation-settings,normal);line-height:1.5;tab-size:4;-webkit-tap-highlight-color:transparent}hr{border-top-width:1px;color:inherit;height:0}abbr:where([title]){-webkit-text-decoration:underline dotted;text-decoration:underline dotted}h1,h2,h3,h4,h5,h6{font-size:inherit;font-weight:inherit}a{color:inherit;-webkit-text-decoration:inherit;text-decoration:inherit}b,strong{font-weight:bolder}code,kbd,pre,samp{font-family:var(--mvx-default-mono-font-family,ui-monospace,SFMono-Regular,Menlo,Monaco,Consolas,\"Liberation Mono\",\"Courier New\",monospace);font-feature-settings:var(--mvx-default-mono-font-feature-settings,normal);font-size:1em;font-variation-settings:var(--mvx-default-mono-font-variation-settings,normal)}small{font-size:80%}sub,sup{font-size:75%;line-height:0;position:relative;vertical-align:baseline}sub{bottom:-.25em}sup{top:-.5em}table{border-collapse:collapse;border-color:inherit;text-indent:0}:-moz-focusring{outline:auto}progress{vertical-align:baseline}summary{display:list-item}menu,ol,ul{list-style:none}audio,canvas,embed,iframe,img,object,svg,video{display:block;vertical-align:middle}img,video{height:auto;max-width:100%}button,input,optgroup,select,textarea{background-color:#0000;border-radius:0;color:inherit;font:inherit;font-feature-settings:inherit;font-variation-settings:inherit;letter-spacing:inherit;opacity:1}:where(select:is([multiple],[size])) optgroup{font-weight:bolder}:where(select:is([multiple],[size])) optgroup option{padding-inline-start:20px}::placeholder{opacity:1}@supports (not ((-webkit-appearance:-apple-pay-button))) or (contain-intrinsic-size:1px){::placeholder{color:currentColor}@supports (color:color-mix(in lab,red,red)){::placeholder{color:color-mix(in oklab,currentColor 50%,transparent)}}}textarea{resize:vertical}::-webkit-search-decoration{-webkit-appearance:none}::-webkit-date-and-time-value{min-height:1lh;text-align:inherit}::-webkit-datetime-edit{display:inline-flex;padding-block:0}::-webkit-datetime-edit-fields-wrapper{padding:0}::-webkit-datetime-edit-month-field,::-webkit-datetime-edit-year-field{padding-block:0}::-webkit-datetime-edit-day-field,::-webkit-datetime-edit-hour-field{padding-block:0}::-webkit-datetime-edit-minute-field,::-webkit-datetime-edit-second-field{padding-block:0}::-webkit-datetime-edit-meridiem-field,::-webkit-datetime-edit-millisecond-field{padding-block:0}:-moz-ui-invalid{box-shadow:none}button,input:where([type=button],[type=reset],[type=submit]){appearance:button}::-webkit-inner-spin-button,::-webkit-outer-spin-button{height:auto}[hidden]:where(:not([hidden=until-found])){display:none!important}}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities;.address-section{font-size:16px;line-height:1.5;margin-top:40px;text-align:center}.address-section .address-description{color:#858688}.address-section .address-data{word-break:break-word}.address-section .address-data,.address-section .address-header{background-color:#ced4da;border-radius:8px;line-height:1;padding:12px;text-align:center}.address-footer{color:var(--gray-700);font-size:14px;line-height:1.5;margin-top:40px;padding-top:40px;position:relative}.address-footer:before{background-color:var(--gray-700);bottom:100%;content:\"\";height:1px;left:0;position:absolute;right:0}.address-footer a{color:var(--primary)}";

const LedgerConnectConfirmBody = /*@__PURE__*/ proxyCustomElement(class LedgerConnectConfirmBody extends H {
    constructor() {
        super();
        this.__registerHost();
    }
    render() {
        var _a, _b, _c;
        return (h("div", { key: '0266faaf48fe2a5bae8160759e9a552e09270826', "data-testid": DataTestIdsEnum.ledgerConfirmAddress, class: "address-section" }, h("div", { key: 'ca350d951b6f66feeb1483ee1f19b0551fb6d957', class: "address-section" }, h("div", { key: '17a5488cded164041dc7b0616c351e09d15798c5', class: "address-description" }, this.confirmScreenData.confirmAddressText), h("div", { key: '8cd3b3f771b98b978e56ebea91d0543afc2e9861', class: "address-header" }, this.confirmScreenData.selectedAddress)), h("div", { key: 'c27aa0193c6402a2fb82fa2bad52d4cd1d55b542', class: "address-section" }, h("div", { key: 'e6cacab59eaf0c790dc8336629a895cc1662cf9d', class: "address-description" }, (_a = this.confirmScreenData) === null || _a === void 0 ? void 0 : _a.authText), h("div", { key: '3aeb7451ecb02d6b8ba01d7d3de244ce9b078150', class: "address-data" }, (_b = this.confirmScreenData) === null || _b === void 0 ? void 0 : _b.data), h("div", { key: 'bc877743680e38344e4d2b30dceeb77ed7e1b31b', class: "address-description" }, (_c = this.confirmScreenData) === null || _c === void 0 ? void 0 : _c.areShownText)), h("div", { key: '4454fcd00d02de923ca1b5f62fcdb490e056ec91', class: "address-footer" }, h("div", { key: '369e585dae7572d4f3bee4a95137d6472b2e34ff' }, "Select Approve on your device to confirm."), h("div", { key: '6aec059bd95e69c586c79a2224e6939d871a705d' }, "Or, if it does not match, close this page and", ' ', h("a", { key: '992e75ed7831f530493318ff69240956274077f1', href: "https://help.multiversx.com/en/", target: "_blank", rel: "noreferrer" }, "contact support"), "."))));
    }
    static get style() { return ledgerConfirmScreenCss; }
}, [0, "mvx-ledger-confirm-screen", {
        "confirmScreenData": [16, "confirm-screen-data"]
    }]);
function defineCustomElement() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["mvx-ledger-confirm-screen"];
    components.forEach(tagName => { switch (tagName) {
        case "mvx-ledger-confirm-screen":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, LedgerConnectConfirmBody);
            }
            break;
    } });
}

export { LedgerConnectConfirmBody as L, defineCustomElement as d };
//# sourceMappingURL=p-C3nazHcI.js.map

//# sourceMappingURL=p-C3nazHcI.js.map