import { p as proxyCustomElement, H, c as createEvent, h } from './p-FAOyWG8K.js';
import { g as getIconHtmlFromIconDefinition, f as faTimes } from './p-P6UBUj2l.js';
import { c as classNames } from './p-Bl7qiiAR.js';
import { D as DataTestIdsEnum } from './p-uM8_L1mr.js';
import { g as getIconHtmlFromIconName } from './p-ivUgaux3.js';

const simpleToastCss = "/*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer theme{:host,:root{--mvx-font-sans:ui-sans-serif,system-ui,sans-serif,\"Apple Color Emoji\",\"Segoe UI Emoji\",\"Segoe UI Symbol\",\"Noto Color Emoji\";--mvx-font-mono:ui-monospace,SFMono-Regular,Menlo,Monaco,Consolas,\"Liberation Mono\",\"Courier New\",monospace;--mvx-default-font-family:var(--mvx-font-sans);--mvx-default-mono-font-family:var(--mvx-font-mono)}}@layer base{*,::backdrop,:after,:before{border:0 solid;box-sizing:border-box;margin:0;padding:0}::file-selector-button{appearance:button;background-color:#0000;border:0 solid;border-radius:0;box-sizing:border-box;color:inherit;font:inherit;font-feature-settings:inherit;font-variation-settings:inherit;letter-spacing:inherit;margin:0;margin-inline-end:4px;opacity:1;padding:0}:host,html{-webkit-text-size-adjust:100%;font-family:var(--mvx-default-font-family,ui-sans-serif,system-ui,sans-serif,\"Apple Color Emoji\",\"Segoe UI Emoji\",\"Segoe UI Symbol\",\"Noto Color Emoji\");font-feature-settings:var(--mvx-default-font-feature-settings,normal);font-variation-settings:var(--mvx-default-font-variation-settings,normal);line-height:1.5;tab-size:4;-webkit-tap-highlight-color:transparent}hr{border-top-width:1px;color:inherit;height:0}abbr:where([title]){-webkit-text-decoration:underline dotted;text-decoration:underline dotted}h1,h2,h3,h4,h5,h6{font-size:inherit;font-weight:inherit}a{color:inherit;-webkit-text-decoration:inherit;text-decoration:inherit}b,strong{font-weight:bolder}code,kbd,pre,samp{font-family:var(--mvx-default-mono-font-family,ui-monospace,SFMono-Regular,Menlo,Monaco,Consolas,\"Liberation Mono\",\"Courier New\",monospace);font-feature-settings:var(--mvx-default-mono-font-feature-settings,normal);font-size:1em;font-variation-settings:var(--mvx-default-mono-font-variation-settings,normal)}small{font-size:80%}sub,sup{font-size:75%;line-height:0;position:relative;vertical-align:baseline}sub{bottom:-.25em}sup{top:-.5em}table{border-collapse:collapse;border-color:inherit;text-indent:0}:-moz-focusring{outline:auto}progress{vertical-align:baseline}summary{display:list-item}menu,ol,ul{list-style:none}audio,canvas,embed,iframe,img,object,svg,video{display:block;vertical-align:middle}img,video{height:auto;max-width:100%}button,input,optgroup,select,textarea{background-color:#0000;border-radius:0;color:inherit;font:inherit;font-feature-settings:inherit;font-variation-settings:inherit;letter-spacing:inherit;opacity:1}:where(select:is([multiple],[size])) optgroup{font-weight:bolder}:where(select:is([multiple],[size])) optgroup option{padding-inline-start:20px}::placeholder{opacity:1}@supports (not ((-webkit-appearance:-apple-pay-button))) or (contain-intrinsic-size:1px){::placeholder{color:currentColor}@supports (color:color-mix(in lab,red,red)){::placeholder{color:color-mix(in oklab,currentColor 50%,transparent)}}}textarea{resize:vertical}::-webkit-search-decoration{-webkit-appearance:none}::-webkit-date-and-time-value{min-height:1lh;text-align:inherit}::-webkit-datetime-edit{display:inline-flex;padding-block:0}::-webkit-datetime-edit-fields-wrapper{padding:0}::-webkit-datetime-edit-month-field,::-webkit-datetime-edit-year-field{padding-block:0}::-webkit-datetime-edit-day-field,::-webkit-datetime-edit-hour-field{padding-block:0}::-webkit-datetime-edit-minute-field,::-webkit-datetime-edit-second-field{padding-block:0}::-webkit-datetime-edit-meridiem-field,::-webkit-datetime-edit-millisecond-field{padding-block:0}:-moz-ui-invalid{box-shadow:none}button,input:where([type=button],[type=reset],[type=submit]){appearance:button}::-webkit-inner-spin-button,::-webkit-outer-spin-button{height:auto}[hidden]:where(:not([hidden=until-found])){display:none!important}}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities;.content{-webkit-backdrop-filter:blur(38px);backdrop-filter:blur(38px);background:var(--mx-tx-bg);border:.5px solid var(--mx-tx-bg);border-radius:12px;flex-direction:column;padding:12px;position:relative;width:315px}.content,.content-left{align-items:flex-start;display:flex;gap:12px}.content-left{align-self:stretch}.content-icon{align-items:center;border-radius:50%;display:flex;height:20px;justify-content:center;width:20px}.content-icon .fa-icon .svg-inline--fa,.content-icon img,.content-icon svg{height:16px;width:16px}.content-icon.success{background:var(--mx-toast-success-bg);color:var(--mx-toast-success-color)}.content-icon.warning{background:var(--mx-toast-pending-bg);color:var(--mx-toast-pending-color)}.content-icon.danger{background:var(--mx-toast-error-bg);color:var(--mx-toast-error-color)}.content-right{align-items:flex-start;display:flex;flex:1 0 0;flex-direction:column;gap:4px}.content-heading{align-items:center;align-self:stretch;display:flex;gap:12px;justify-content:space-between;line-height:16px}.content-heading-title{color:var(--mx-tx-text-primary);font-family:var(--font-family-roobert);font-size:16px;font-style:normal;font-weight:700;margin:0}.icon-close{background:0 0;border:none;color:var(--mx-tx-text-primary);cursor:pointer;display:flex;flex-direction:column;flex-shrink:0;height:20px;justify-content:center;padding:0;width:20px}.icon-close .svg-inline--fa{color:var(--mx-tx-text-primary);text-align:center}.subtitle{line-height:14px}.content-message,.subtitle{color:var(--mx-tx-text-secondary);font-family:var(--font-family-roobert);font-size:14px;font-style:normal;font-weight:400;letter-spacing:-.14px}.content-message{line-height:16px}.content-message.no-margin{margin-top:0}";

const SimpleToast = /*@__PURE__*/ proxyCustomElement(class SimpleToast extends H {
    constructor() {
        super();
        this.__registerHost();
        this.deleteToast = createEvent(this, "deleteToast");
    }
    handleDeleteToast() {
        this.deleteToast.emit();
    }
    renderIcon() {
        const { icon, iconClassName } = this.toast;
        let iconHtml = null;
        if (typeof icon === 'string') {
            iconHtml = getIconHtmlFromIconName(icon);
        }
        if (icon instanceof H) {
            iconHtml = icon.outerHTML;
        }
        if (!iconHtml) {
            return null;
        }
        return (h("div", { class: {
                'content-icon': true,
                [iconClassName]: Boolean(iconClassName),
            }, innerHTML: iconHtml }));
    }
    render() {
        const { title, message, subtitle } = this.toast;
        return (h("div", { key: 'fa6649674718b03d313fdab9f77bfc7a578450fc', class: "content", "data-testid": DataTestIdsEnum.transactionToastContent, id: `toast-${this.toast.toastId}` }, h("div", { key: '8f1f5003b493ad830855e25d7c9da31ffe0289ae', class: "content-left" }, this.renderIcon(), h("div", { key: 'a63341f3d948084a1aedeb1460a9949516408e4c', class: "content-right" }, h("div", { key: '69695c1b79d63ae839b46f57be0a2966123a4d83', class: "content-heading" }, title && (h("h5", { key: '297e2d26ecd56680ae7a1238e01675a7daa5465c', class: "content-heading-title", "data-testid": DataTestIdsEnum.transactionToastTitle }, title)), h("button", { key: 'bfab7fad297891e924a48ae70ac976ad5de4ce76', onClick: this.handleDeleteToast.bind(this), type: "button", class: "icon-close", innerHTML: getIconHtmlFromIconDefinition(faTimes) })), subtitle && h("div", { key: 'a695525038d564ac98d39bd0de0a08bb55b9b271', class: "subtitle" }, subtitle), message && h("div", { key: '4ebd0995bf446eda74e010646155edbc2f76451b', class: classNames('content-message', { 'no-margin': !title && !subtitle }) }, message)))));
    }
    static get style() { return simpleToastCss; }
}, [0, "mvx-simple-toast", {
        "toast": [16]
    }]);
function defineCustomElement() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["mvx-simple-toast"];
    components.forEach(tagName => { switch (tagName) {
        case "mvx-simple-toast":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, SimpleToast);
            }
            break;
    } });
}

export { SimpleToast as S, defineCustomElement as d };
//# sourceMappingURL=p-DPY4mjs-.js.map

//# sourceMappingURL=p-DPY4mjs-.js.map