import { l as library$1, s as solidIcons, i as icon } from './p-P6UBUj2l.js';

function getIconHtmlFromIconName(iconName) {
    let faIcon;
    const usedIconName = iconName.includes('fa') ? iconName : `fa${capitalize(iconName)}`;
    const dynamicIcon = solidIcons[usedIconName];
    if (!dynamicIcon) {
        console.error(`Icon "${iconName}" not found"`);
        return null;
    }
    library$1.add(dynamicIcon);
    faIcon = icon(dynamicIcon);
    return faIcon ? faIcon.html[0] : null;
}
function capitalize(iconName) {
    if (!iconName) {
        return iconName;
    }
    return iconName.charAt(0).toUpperCase() + iconName.slice(1);
}

export { getIconHtmlFromIconName as g };
//# sourceMappingURL=p-ivUgaux3.js.map

//# sourceMappingURL=p-ivUgaux3.js.map