'use strict';

var index = require('./index-DnF1G--N.js');

const Children = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
        this.childElements = [];
    }
    componentWillLoad() {
        this.childElements = [...this.host.children];
        this.host.innerHTML = '';
    }
    componentDidLoad() {
        this.initializeChild(this.childParentRef, this.childElements);
    }
    initializeChild(container, children) {
        if (!container) {
            return;
        }
        children.forEach(childElement => {
            container.appendChild(childElement);
        });
    }
    render() {
        return index.h("div", { key: '22df629cdf80a01212da9fd8ce0e74f0421da4a0', class: "children", ref: element => (this.childParentRef = element) });
    }
    get host() { return index.getElement(this); }
};

exports.mvx_children = Children;
//# sourceMappingURL=mvx-children.entry.cjs.js.map

//# sourceMappingURL=mvx-children.cjs.entry.js.map