'use strict';

var index = require('./index-DnF1G--N.js');
var signTransactionsPanelStore = require('./signTransactionsPanelStore-BO_c11Oi.js');

const TokenComponent = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
    }
    render() {
        const { tokenTransaction } = signTransactionsPanelStore.state;
        const { amount, identifier, usdValue } = tokenTransaction || {};
        return (index.h("mvx-sign-transaction-component", { key: 'a99a4d8dc5df0254ad92fbe81f5747e3f9b84f64', header: index.h("mvx-balance-component", { amount: amount, ticker: identifier, usdValue: usdValue, header: "You are sending" }) }));
    }
};

exports.mvx_token_component = TokenComponent;
//# sourceMappingURL=mvx-token-component.entry.cjs.js.map

//# sourceMappingURL=mvx-token-component.cjs.entry.js.map