'use strict';

var index = require('./index-DnF1G--N.js');
var appGlobals = require('./app-globals-V2Kpy_OQ.js');

var _documentCurrentScript = typeof document !== 'undefined' ? document.currentScript : null;
/*
 Stencil Client Patch Browser v4.29.2 | MIT Licensed | https://stenciljs.com
 */

var patchBrowser = () => {
  const importMeta = (typeof document === 'undefined' ? require('u' + 'rl').pathToFileURL(__filename).href : (_documentCurrentScript && _documentCurrentScript.tagName.toUpperCase() === 'SCRIPT' && _documentCurrentScript.src || new URL('sdk-dapp-core-ui.cjs.js', document.baseURI).href));
  const opts = {};
  if (importMeta !== "") {
    opts.resourcesUrl = new URL(".", importMeta).href;
  }
  return index.promiseResolve(opts);
};

patchBrowser().then(async (options) => {
  await appGlobals.globalScripts();
  return index.bootstrapLazy([["mvx-notifications-feed.cjs",[[0,"mvx-notifications-feed",{"isOpen":[32],"pendingTransactions":[32],"transactionsHistory":[32],"getEventBus":[64]}]]],["mvx-toast-list.cjs",[[0,"mvx-toast-list",{"transactionToasts":[16,"transaction-toasts"],"customToasts":[16,"custom-toasts"],"getEventBus":[64]}]]],["mvx-unlock-panel.cjs",[[0,"mvx-unlock-panel",{"isOpen":[4,"is-open"],"allowedProviders":[16,"allowed-providers"],"isLoggingIn":[32],"selectedMethod":[32],"childElements":[32]}]]],["mvx-transactions-table.cjs",[[0,"mvx-transactions-table",{"class":[1],"transactions":[16]}]]],["mvx-ledger-connect-panel.cjs",[[0,"mvx-ledger-connect-panel",{"data":[16],"isOpen":[32],"selectedIndex":[32],"getEventBus":[64]}]]],["mvx-wallet-connect-panel.cjs",[[0,"mvx-wallet-connect-panel",{"data":[16],"qrCodeSvg":[32],"isOpen":[32],"getEventBus":[64]},null,{"data":["onDataChange"]}]]],["mvx-ledger-connect.cjs",[[0,"mvx-ledger-connect",{"data":[16],"selectedIndex":[32],"getEventBus":[64]}]]],["mvx-sign-transactions-panel.cjs",[[0,"mvx-sign-transactions-panel",{"data":[16],"isOpen":[32],"getEventBus":[64]},null,{"data":["onDataChange"]}]]],["mvx-token-component.cjs",[[0,"mvx-token-component"]]],["mvx-fungible-component.cjs",[[0,"mvx-fungible-component"]]],["mvx-wallet-connect.cjs",[[0,"mvx-wallet-connect",{"data":[16],"qrCodeSvg":[32],"getEventBus":[64]},null,{"data":["onDataChange"]}]]],["mvx-children.cjs",[[0,"mvx-children",{"childElements":[32]}]]],["mvx-generic-modal.cjs",[[0,"mvx-generic-modal",{"body":[16],"modalTitle":[1,"modal-title"],"modalSubtitle":[1,"modal-subtitle"]}]]],["mvx-transaction-direction-badge.cjs",[[0,"mvx-transaction-direction-badge",{"class":[1],"direction":[1]}]]],["mvx-provider-button.cjs",[[0,"mvx-provider-button",{"type":[1],"class":[1]}]]],["mvx-copy-button_4.cjs",[[0,"mvx-transaction-toast-details",{"processedTransactionsStatus":[1,"processed-transactions-status"],"transactions":[16],"transactionClass":[1,"transaction-class"],"maxShownTransactions":[2,"max-shown-transactions"],"isExpanded":[32],"showAllTransactions":[32]}],[0,"mvx-transaction-toast-details-body",{"transactionClass":[1,"transaction-class"],"status":[1],"hash":[1],"link":[1],"index":[1]}],[0,"mvx-default-transaction-icon-small"],[0,"mvx-copy-button",{"class":[1],"iconClass":[1,"icon-class"],"copyIcon":[16,"copy-icon"],"successIcon":[16,"success-icon"],"text":[1],"isSuccess":[32]}]]],["mvx-transaction-list-item.cjs",[[0,"mvx-transaction-list-item",{"transaction":[16]}]]],["mvx-custom-toast_2.cjs",[[0,"mvx-custom-toast",{"toast":[16]}],[0,"mvx-simple-toast",{"toast":[16]}]]],["mvx-generic-toast.cjs",[[0,"mvx-generic-toast",{"toast":[16]}]]],["mvx-balance-component.cjs",[[0,"mvx-balance-component",{"amount":[1],"ticker":[1],"usdValue":[1,"usd-value"],"header":[1]}]]],["mvx-transaction-account-name.cjs",[[0,"mvx-transaction-account-name",{"address":[1],"class":[1],"dataTestId":[1,"data-test-id"],"description":[1],"name":[1]}]]],["mvx-sign-transaction-component_2.cjs",[[0,"mvx-sign-transaction-component",{"header":[16]}],[0,"mvx-transaction-fee-component",{"showGasOptions":[32]}]]],["mvx-fa-icon.cjs",[[0,"mvx-fa-icon",{"class":[1],"icon":[1],"description":[1]}]]],["mvx-transaction-icon.cjs",[[0,"mvx-transaction-icon",{"class":[1],"iconInfo":[16,"icon-info"]}]]],["mvx-wallet-connect-body.cjs",[[0,"mvx-wallet-connect-body",{"qrCodeSvg":[1,"qr-code-svg"],"description":[1]}]]],["mvx-default-transaction-icon-large.cjs",[[0,"mvx-default-transaction-icon-large"]]],["mvx-format-amount.cjs",[[0,"mvx-format-amount",{"class":[1],"dataTestId":[1,"data-test-id"],"isValid":[4,"is-valid"],"label":[1],"labelClass":[1,"label-class"],"showLabel":[4,"show-label"],"valueDecimal":[1,"value-decimal"],"valueInteger":[1,"value-integer"]}]]],["mvx-generic-spinner.cjs",[[0,"mvx-generic-spinner"]]],["mvx-ledger-account-screen_3.cjs",[[0,"mvx-ledger-account-screen",{"accountScreenData":[16,"account-screen-data"],"selectedIndex":[2,"selected-index"]}],[0,"mvx-ledger-confirm-screen",{"confirmScreenData":[16,"confirm-screen-data"]}],[0,"mvx-ledger-connect-screen",{"connectScreenData":[16,"connect-screen-data"]}]]],["mvx-explorer-link_2.cjs",[[0,"mvx-trim-text",{"text":[1],"class":[1],"dataTestId":[1,"data-test-id"],"overflow":[32]}],[4,"mvx-explorer-link",{"class":[1],"iconClass":[1,"icon-class"],"dataTestId":[1,"data-test-id"],"icon":[16],"link":[1],"text":[1],"hasSlotContent":[32]}]]],["mvx-transaction-account_6.cjs",[[0,"mvx-transaction-account",{"account":[16],"class":[1],"dataTestId":[1,"data-test-id"],"scope":[1],"showLockedAccounts":[4,"show-locked-accounts"]}],[0,"mvx-transaction-hash",{"class":[1],"transaction":[16]}],[0,"mvx-transaction-value",{"class":[1],"value":[16]}],[0,"mvx-transaction-shards",{"class":[1],"transaction":[16]}],[0,"mvx-transaction-age",{"age":[1],"class":[1],"tooltip":[1]}],[0,"mvx-transaction-method",{"class":[1],"actionDescription":[1,"action-description"],"method":[1]}]]],["mvx-transaction-toast_3.cjs",[[0,"mvx-transaction-toast",{"toastId":[1,"toast-id"],"wrapperClass":[1,"wrapper-class"],"fullWidth":[4,"full-width"],"processedTransactionsStatus":[1,"processed-transactions-status"],"transactions":[16],"toastDataState":[16,"toast-data-state"],"transactionProgressState":[16,"transaction-progress-state"]}],[0,"mvx-transaction-toast-content",{"transactions":[16],"toastDataState":[16,"toast-data-state"],"processedTransactionsStatus":[1,"processed-transactions-status"],"fullWidth":[4,"full-width"]}],[4,"mvx-transaction-toast-progress",{"startTime":[2,"start-time"],"endTime":[2,"end-time"],"currentTimestamp":[32],"hasTimeElapsed":[32],"expectedTransactionDuration":[32],"secondsPassedSinceStart":[32],"shouldShowProgressBar":[32],"percentagePassedSinceStart":[32],"shouldQuickFill":[32],"infiniteProgressDelay":[32],"infinitePercentagePassedSinceStart":[32],"infinitePercentageAnimationDuration":[32]},null,{"startTime":["handleTimeChange"],"endTime":["handleTimeChange"]}]]],["mvx-back-arrow-icon_4.cjs",[[0,"mvx-pending-transactions-panel",{"data":[16],"isOpen":[32],"getEventBus":[64]}],[1,"mvx-side-panel",{"isOpen":[4,"is-open"],"panelClassName":[1,"panel-class-name"],"panelTitle":[1,"panel-title"],"withBackButton":[4,"with-back-button"],"isVisible":[32],"shouldAnimate":[32]},null,{"isOpen":["handleOpenChange"]}],[0,"mvx-back-arrow-icon"],[0,"mvx-close-icon"]]],["mvx-arrow-up-right-icon_9.cjs",[[0,"mvx-unlock-button",{"label":[1],"icon":[16],"type":[1],"class":[1]}],[0,"mvx-extension-provider-icon"],[0,"mvx-ledger-provider-icon"],[0,"mvx-metamask-provider-icon"],[0,"mvx-passkey-provider-icon"],[0,"mvx-wallet-provider-icon"],[0,"mvx-xalias-provider-icon"],[0,"mvx-arrow-up-right-icon"],[0,"mvx-multiversx-logo-icon"]]]], options);
});

exports.setNonce = index.setNonce;
//# sourceMappingURL=sdk-dapp-core-ui.cjs.js.map

//# sourceMappingURL=sdk-dapp-core-ui.cjs.js.map