import { faLayerGroup } from "@fortawesome/free-solid-svg-icons";
import { h } from "@stencil/core";
import classNames from "classnames";
import { DataTestIdsEnum } from "../../../../../constants/dataTestIds.enum";
export class TransactionValue {
    render() {
        var _a;
        return (h("div", { key: '5357edac7aef3c685454c174bc13c01d3be0520c', class: classNames(this.class, 'transaction-value') }, this.value.badge && (h("div", { key: '7db6515d8b5e87a8b8e8bf828628a1ff70c1de6c', "data-testid": DataTestIdsEnum.transactionNftBadge, class: "badge badge-secondary badge-pill font-weight-light transaction-value-badge" }, this.value.badge)), this.value.showFormattedAmount && (h("mvx-format-amount", { key: '27f31aada5d98ed569e399326f9d84f171ee177f', class: classNames('mr-1', {
                'text-truncate': this.value.svgUrl,
            }), dataTestId: DataTestIdsEnum.transactionActionFormattedAmount, isValid: true, label: this.value.egldLabel, valueDecimal: this.value.valueDecimal, valueInteger: this.value.valueInteger })), this.value.link && (h("mvx-explorer-link", { key: 'afb3e40dad7d40f211c36e4d52e51ed3f781393e', link: this.value.link, class: classNames('transaction-value-link', {
                'side-link d-flex': this.value.svgUrl,
                'text-truncate': !this.value.svgUrl,
            }) }, h("div", { key: '7fd6abf5521af0446e2ad4e59efd3095d9750a79', class: "transaction-value-content", slot: "content" }, this.value.svgUrl && h("img", { key: '3fbea2f24f87928b9ecebed02e25c36f7c1637fe', src: this.value.svgUrl, alt: (_a = this.value.name) !== null && _a !== void 0 ? _a : '', class: "transaction-value-img" }), this.value.linkText && (h("span", { key: '5a9e3548fb7f33401ed357748a79cc86a3707afd', class: classNames('transaction-value-link-text', {
                truncate: this.value.ticker === this.value.collection && this.value.ticker != null,
            }) }, this.value.linkText))))), this.value.titleText && h("mvx-fa-icon", { key: '305d2a08ce43e38d6cfb9352c9dc761ee981406b', icon: faLayerGroup, class: "transaction-value-icon", title: this.value.titleText })));
    }
    static get is() { return "mvx-transaction-value"; }
    static get originalStyleUrls() {
        return {
            "$": ["transaction-value.css"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["transaction-value.css"]
        };
    }
    static get properties() {
        return {
            "class": {
                "type": "string",
                "attribute": "class",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": true,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "reflect": false
            },
            "value": {
                "type": "unknown",
                "attribute": "value",
                "mutable": false,
                "complexType": {
                    "original": "ITransactionValue",
                    "resolved": "ITransactionValue",
                    "references": {
                        "ITransactionValue": {
                            "location": "import",
                            "path": "components/controlled/transactions-table/transactions-table.type",
                            "id": "src/components/controlled/transactions-table/transactions-table.type.ts::ITransactionValue"
                        }
                    }
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false
            }
        };
    }
}
//# sourceMappingURL=transaction-value.js.map
