import { h } from "@stencil/core";
import { DataTestIdsEnum } from "../../../../../constants/dataTestIds.enum";
export class LedgerConnectConfirmBody {
    render() {
        var _a, _b, _c;
        return (h("div", { key: '0266faaf48fe2a5bae8160759e9a552e09270826', "data-testid": DataTestIdsEnum.ledgerConfirmAddress, class: "address-section" }, h("div", { key: 'ca350d951b6f66feeb1483ee1f19b0551fb6d957', class: "address-section" }, h("div", { key: '17a5488cded164041dc7b0616c351e09d15798c5', class: "address-description" }, this.confirmScreenData.confirmAddressText), h("div", { key: '8cd3b3f771b98b978e56ebea91d0543afc2e9861', class: "address-header" }, this.confirmScreenData.selectedAddress)), h("div", { key: 'c27aa0193c6402a2fb82fa2bad52d4cd1d55b542', class: "address-section" }, h("div", { key: 'e6cacab59eaf0c790dc8336629a895cc1662cf9d', class: "address-description" }, (_a = this.confirmScreenData) === null || _a === void 0 ? void 0 : _a.authText), h("div", { key: '3aeb7451ecb02d6b8ba01d7d3de244ce9b078150', class: "address-data" }, (_b = this.confirmScreenData) === null || _b === void 0 ? void 0 : _b.data), h("div", { key: 'bc877743680e38344e4d2b30dceeb77ed7e1b31b', class: "address-description" }, (_c = this.confirmScreenData) === null || _c === void 0 ? void 0 : _c.areShownText)), h("div", { key: '4454fcd00d02de923ca1b5f62fcdb490e056ec91', class: "address-footer" }, h("div", { key: '369e585dae7572d4f3bee4a95137d6472b2e34ff' }, "Select Approve on your device to confirm."), h("div", { key: '6aec059bd95e69c586c79a2224e6939d871a705d' }, "Or, if it does not match, close this page and", ' ', h("a", { key: '992e75ed7831f530493318ff69240956274077f1', href: "https://help.multiversx.com/en/", target: "_blank", rel: "noreferrer" }, "contact support"), "."))));
    }
    static get is() { return "mvx-ledger-confirm-screen"; }
    static get originalStyleUrls() {
        return {
            "$": ["ledger-confirm-screen.scss"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["ledger-confirm-screen.css"]
        };
    }
    static get properties() {
        return {
            "confirmScreenData": {
                "type": "unknown",
                "attribute": "confirm-screen-data",
                "mutable": false,
                "complexType": {
                    "original": "IConfirmScreenData",
                    "resolved": "IConfirmScreenData",
                    "references": {
                        "IConfirmScreenData": {
                            "location": "import",
                            "path": "../../ledger-connect.types",
                            "id": "src/components/functional/ledger-connect-components/ledger-connect.types.ts::IConfirmScreenData"
                        }
                    }
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false
            }
        };
    }
}
//# sourceMappingURL=ledger-confirm-screen.js.map
