import { r as registerInstance, c as createEvent, h } from './index-D3R9UMmk.js';

const GenericToast = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        this.deleteToast = createEvent(this, "deleteToast");
    }
    render() {
        const isComponentToast = 'instantiateToastElement' in this.toast;
        if (isComponentToast) {
            return h("mvx-custom-toast", { toast: this.toast, onDeleteToast: () => this.deleteToast.emit(this.toast.toastId) });
        }
        return h("mvx-simple-toast", { toast: this.toast, onDeleteToast: () => this.deleteToast.emit(this.toast.toastId) });
    }
};

export { GenericToast as mvx_generic_toast };
//# sourceMappingURL=mvx-generic-toast.entry.js.map

//# sourceMappingURL=mvx-generic-toast.entry.js.map