import type { IEventBus } from "../../../utils/EventBus";
import type { ILedgerConnectPanelData } from './ledger-connect.types';
export declare class LedgerConnectPanel {
    data: ILedgerConnectPanelData;
    isOpen: boolean;
    private selectedIndex;
    private ledgerConnectBase;
    componentWillLoad(): void;
    componentDidLoad(): void;
    disconnectedCallback(): void;
    handleConnect(): void;
    handleOpen(): void;
    handleClose(): void;
    onClose(props?: {
        isUserClick: boolean;
    }): void;
    private accessWallet;
    private selectAccount;
    nextPage(): Promise<void>;
    prevPage(): Promise<void>;
    getEventBus(): Promise<IEventBus>;
    private getEventBusSubscription;
    private getHeaderContent;
    private getBodyContent;
    render(): any;
}
