import type { IEventBus } from "../../../utils/EventBus";
import type { IWalletConnectPanelData } from './wallet-connect-panel.types';
export declare class WalletConnect {
    hostElement: HTMLElement;
    data: IWalletConnectPanelData;
    qrCodeSvg: string;
    private walletConnectBase;
    componentWillLoad(): void;
    getEventBus(): Promise<IEventBus>;
    onDataChange(data: IWalletConnectPanelData): Promise<void>;
    render(): any;
    private removeComponent;
    private getEventSubscription;
    componentDidLoad(): void;
    disconnectedCallback(): void;
}
