import type { EventEmitter } from '../../../stencil-public-runtime';
import { ProviderTypeEnum } from "../../../types/provider.types";
export declare class UnlockPanel {
    host: HTMLElement;
    isOpen: boolean;
    allowedProviders?: ProviderTypeEnum[];
    close: EventEmitter;
    login: EventEmitter<{
        provider: ProviderTypeEnum;
        anchor?: HTMLElement;
    }>;
    isLoggingIn: boolean;
    selectedMethod: ProviderTypeEnum | null;
    childElements: Element[];
    private isExtensionInstalled;
    private isMetaMaskInstalled;
    private anchor;
    private observer;
    disconnectedCallback(): void;
    private observeContainer;
    handleLogin(provider: ProviderTypeEnum): void;
    handleResetLoginState(event: MouseEvent): void;
    handleClose(event: MouseEvent): void;
    componentWillLoad(): void;
    render(): any;
}
