import { p as proxyCustomElement, H, h } from './p-FAOyWG8K.js';
import { s as state } from './p-B8ALvP0A.js';
import { d as defineCustomElement$4 } from './p-t2QpK3Jr.js';
import { d as defineCustomElement$3 } from './p-C2-d9ElP.js';
import { d as defineCustomElement$2 } from './p-CeqlHvll.js';

const TokenComponent = /*@__PURE__*/ proxyCustomElement(class TokenComponent extends H {
    constructor() {
        super();
        this.__registerHost();
    }
    render() {
        const { tokenTransaction } = state;
        const { amount, identifier, usdValue } = tokenTransaction || {};
        return (h("mvx-sign-transaction-component", { key: 'a99a4d8dc5df0254ad92fbe81f5747e3f9b84f64', header: h("mvx-balance-component", { amount: amount, ticker: identifier, usdValue: usdValue, header: "You are sending" }) }));
    }
}, [0, "mvx-token-component"]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["mvx-token-component", "mvx-balance-component", "mvx-sign-transaction-component", "mvx-transaction-fee-component"];
    components.forEach(tagName => { switch (tagName) {
        case "mvx-token-component":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, TokenComponent);
            }
            break;
        case "mvx-balance-component":
            if (!customElements.get(tagName)) {
                defineCustomElement$4();
            }
            break;
        case "mvx-sign-transaction-component":
            if (!customElements.get(tagName)) {
                defineCustomElement$3();
            }
            break;
        case "mvx-transaction-fee-component":
            if (!customElements.get(tagName)) {
                defineCustomElement$2();
            }
            break;
    } });
}

const MvxTokenComponent = TokenComponent;
const defineCustomElement = defineCustomElement$1;

export { MvxTokenComponent, defineCustomElement };
//# sourceMappingURL=mvx-token-component.js.map

//# sourceMappingURL=mvx-token-component.js.map